### Method

# Vte Terminal get_text_selected

since: 0.70

#### Declaration [src]

    char*
    vte_terminal_get_text_selected (
      VteTerminal* terminal,
      VteFormat format
    )

#### Description [src]

Gets the currently selected text in the format specified by `format`. Since 0.72, this function also supports `VTE_FORMAT_HTML` format.

Available since: 0.70

#### Parameters

`format`

  Type: `VteFormat`

  The `VteFormat` to use.

#### Return value

Type: `char*`

A newly allocated string containing the selected text, or `NULL` if there is no selection or the format is not supported.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.